﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Test
{
    public class ViewModel : INotifyPropertyChanged
    {
        public void ChangeWorkspace()
        {
            if (this.Workspace == null || this.Workspace is CustomersWorkspace)
            {
                this.Workspace = new CompaniesWorkspace();
            }
            else
            {
                this.Workspace = new CustomersWorkspace();
            }
        }

        public object Workspace
        {
            get { return this._workspace; }
            set
            {
                this._workspace = value;
                this.OnPropertyChanged("Workspace");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        private void OnPropertyChanged(string property)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }

        private object _workspace;
    }
}
